package com.cretin.entity.exam;

import java.util.List;

public class ExamItem4 {

    private String activity_register_id;
    private String activity_module_id;
    private List<TestCategoryAnswersDTO> testCategoryAnswers;
    private int answer_cost_seconds;

    public String getActivity_register_id() {
        return activity_register_id;
    }

    public void setActivity_register_id(String activity_register_id) {
        this.activity_register_id = activity_register_id;
    }

    public String getActivity_module_id() {
        return activity_module_id;
    }

    public void setActivity_module_id(String activity_module_id) {
        this.activity_module_id = activity_module_id;
    }

    public List<TestCategoryAnswersDTO> getTestCategoryAnswers() {
        return testCategoryAnswers;
    }

    public void setTestCategoryAnswers(List<TestCategoryAnswersDTO> testCategoryAnswers) {
        this.testCategoryAnswers = testCategoryAnswers;
    }

    public int getAnswer_cost_seconds() {
        return answer_cost_seconds;
    }

    public void setAnswer_cost_seconds(int answer_cost_seconds) {
        this.answer_cost_seconds = answer_cost_seconds;
    }

    public static class TestCategoryAnswersDTO {
        private String test_category_id;
        private List<TestQuestionAnswersDTO> testQuestionAnswers;

        public String getTest_category_id() {
            return test_category_id;
        }

        public void setTest_category_id(String test_category_id) {
            this.test_category_id = test_category_id;
        }

        public List<TestQuestionAnswersDTO> getTestQuestionAnswers() {
            return testQuestionAnswers;
        }

        public void setTestQuestionAnswers(List<TestQuestionAnswersDTO> testQuestionAnswers) {
            this.testQuestionAnswers = testQuestionAnswers;
        }

        public static class TestQuestionAnswersDTO {
            private String question_id;
            private String answer_content;

            public String getQuestion_id() {
                return question_id;
            }

            public void setQuestion_id(String question_id) {
                this.question_id = question_id;
            }

            public String getAnswer_content() {
                return answer_content;
            }

            public void setAnswer_content(String answer_content) {
                this.answer_content = answer_content;
            }
        }
    }
}
